### Function

# EvinceDocument file_copy_metadata

since: 3.4

#### Declaration [src]

    gboolean
    ev_file_copy_metadata (
      const char* from,
      const char* to,
      GError** error
    )

#### Description [src]

Performs a `g_file_copy_attributes()` with `G_FILE_COPY_ALL_METADATA` from `from` to `to`.

Available since: 3.4

#### Parameters

`from`

  Type: `const char*`

  The source URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`to`

  Type: `const char*`

  The target URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the attributes were copied successfully, `FALSE` otherwise.